#!/usr/bin/perl

use strict;
use warnings;

my $globspamicity = 0;
my $globscore = 0;
my $n = @ARGV;

foreach my $line (@ARGV){
	#print "File: $line\n";
	open my $file, "<", $line or die "wtf...";
	my @array = <$file>;
	my @spamicity = grep /X-Bogosity:.*spamicity=.*/, @array;
	my @score = grep /X-Spam-Status:.*score=.*/, @array;
	close $file;
	if(@spamicity){
		my $tmpspami = $spamicity[0];
		$tmpspami =~ s#^.*spamicity=##;
		$tmpspami =~ s#(\d+\.?\d*)(.*)$#$1#;
		chomp($tmpspami);
		$globspamicity += $tmpspami if ($tmpspami ne "");
	}
	
	if(@score){	
		my $tmpscore = $score[0];	
		$tmpscore =~ s#^.*score=##;
		$tmpscore =~ s#(-?\d+\.?\d*)(.*)$#$1#;
		chomp($tmpscore);
		$globscore += $tmpscore if ($tmpscore ne "" );
	}

}
$globspamicity /= $n;
$globscore /= $n;

printf "Spamicity: \%.3f\nScore: \%.3f\n",$globspamicity,$globscore 
